Converting between CPU sets and node sets

## Functions

int | hwloc_cpuset_to_nodeset (hwloc_topology_t topology, hwloc_const_cpuset_t _cpuset, hwloc_nodeset_t nodeset)
int | hwloc_cpuset_from_nodeset (hwloc_topology_t topology, hwloc_cpuset_t _cpuset, hwloc_const_nodeset_t nodeset)

## Detailed Description

## Function Documentation

## hwloc_cpuset_from_nodeset()

int hwloc_cpuset_from_nodeset | ( | hwloc_topology_t | topology,
|  | hwloc_cpuset_t | _cpuset,
|  | hwloc_const_nodeset_t | nodeset )

inline

Convert a NUMA node set into a CPU set.

For each NUMA node included in the input `nodeset`, set the corresponding local PUs in the output `_cpuset`.

If some CPUs have no local NUMA nodes, this function never sets their indexes in the output CPU set, even if a full node set is given in input.

Hence the entire topology node set is converted into the set of all CPUs that have some local NUMA nodes.

Returns
  0 on success.
  -1 with errno set to `ENOMEM` on internal reallocation failure.

## hwloc_cpuset_to_nodeset()

int hwloc_cpuset_to_nodeset | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | _cpuset,
|  | hwloc_nodeset_t | nodeset )

inline

Convert a CPU set into a NUMA node set.

For each PU included in the input `_cpuset`, set the corresponding local NUMA node(s) in the output `nodeset`.

If some NUMA nodes have no CPUs at all, this function never sets their indexes in the output node set, even if a full CPU set is given in input.

Hence the entire topology CPU set is converted into the set of all nodes that have some local CPUs.

Returns
  0 on success.
  -1 with errno set to `ENOMEM` on internal reallocation failure.